# Module: `kernel.zmq.datapub`

Publishing native (typically pickled) objects.

## 1 Class

class `IPython.kernel.zmq.datapub.``ZMQDataPublisher`(**kwargs)

  Bases: `IPython.config.configurable.Configurable`

  `publish_data`(data)

    publish a data_message on the IOPub channel

    Parameters:

    data : dict

    > The data to be published. Think of it as a namespace.

  `set_parent`(parent)

    Set the parent for outbound messages.

## 1 Function

`IPython.kernel.zmq.datapub.``publish_data`(data)

  publish a data_message on the IOPub channel

  Parameters:

  data : dict

  > The data to be published. Think of it as a namespace.